oracle.xdb.event

## Class XDBHandlerList

- java.lang.Object
- - oracle.xdb.event.XDBHandlerList

    public class XDBHandlerList
    extends java.lang.Object

This class is used to store and manage the list of `XDBHandler` objects.

Since:
  11.1.0.0.0

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()` Clears the handler list
`XDBHandler` `getFirst()` Returns the first handler in the list.
`XDBHandler` `getNext()` Returns the next handler in the list.
`void` `remove(XDBHandler handler)` Removes the given handler from the list.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getFirst

    public XDBHandler getFirst()

Returns the first handler in the list.

Returns:
  The first handler

#### getNext

    public XDBHandler getNext()

Returns the next handler in the list.

Returns:
  The next handler

#### remove

    public void remove(XDBHandler handler)

Removes the given handler from the list.

Parameters:
  `handler` - The handler to be removed from the list.

#### clear

    public void clear()

Clears the handler list

Copyright © 2003, 2020, Oracle and/or its affiliates.